﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;


<table border="0" cellpadding="2" cellspacing="2">
    <tr>
            <td style="width: 10px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </td>

            <td style="width: 100px" colspan="2">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHRouteOption";
                    gridLookup.Width = 120;
                    gridLookup.GridProperties.KeyFieldName = "ROUTE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "RouteMaster", Action = "PartialHeaderRouteGridLookupPart" };

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE";
                        column.FieldName = "ROUTE";
                        column.Caption = "Route";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE_NAME";
                        column.FieldName = "ROUTE_NAME";
                        column.Caption = "Route Name";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["RouteGridLookup"]).GetHtml()
            </td>
   
  <td style="width: 80px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route Name";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </td>

            <td style="width:125px;" align="left">
                        @Html.DevExpress().TextBox(
                            txt =>
                            {
                               txt.Name = "txtname";
                               txt.Width = Unit.Pixel(110);
                               txt.Height = Unit.Pixel(25);
                            }).GetHtml()
                    </td>

    <td style="width: 40px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Source";
                                label.Width = 40;
                            }).GetHtml()
                            
                    </td>
                    <td style="width:300px">
                        @Html.DevExpress().ComboBox(
                            txt =>
                            {
                               txt.Name = "txtFlag";
                               txt.Width = Unit.Pixel(110);
                               txt.Height = Unit.Pixel(25);
                               txt.Properties.Items.Add("");
                               txt.Properties.Items.Add("Manual");
                               txt.Properties.Items.Add("Synchronize");
                            }).GetHtml()
                    </td>

   
    
        
            
 
            <td style="width:99px">
            </td>
            
            <td>
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "SearchData";
            }).GetHtml()
            
       @*@Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnNew";
                button.Text = "Add";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "AddRoute";
            }).GetHtml()*@
        
    
    </td>
    <td>
    @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "ClearGrid";
            }).GetHtml()
    
     @*@Html.DevExpress().Button(
            button =>
            {
                button.Name = "Syn";
                button.Text = "Syncronize";
                button.Width = Unit.Pixel(100);
                //button.Height = Unit.Pixel(50);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "SynData";
            }).GetHtml()*@
        </td>
     </tr>
</table>
